Jump to content

gnasch

Members
  • Posts

    111
  • Joined

  • Last visited

Posts posted by gnasch

  1. Hello, ccapublic,

    every new kernel distributed by dist-upgrade will break your 8192cu.

    you need to rebuild your module locally, as per the documentation:

     

    https://docs.armbian.com/User-Guide_Advanced-Features/#how-to-build-a-wireless-driver
     

     

    see also this thread:

    https://forum.armbian.com/index.php/topic/2892-module-8192cuko-not-working-in-armbian-514/?hl=depmod#entry20403

     

    Its armbians beginners trap for frustrating the new ones ;-)

     

    best, gnasch

  2. About POE:

    generally if you want to work with longer cables, higher feed voltage is better, about 48V is brought by standard conforming POE switches, and/or standard conforming POE injectors.

    The standard also requests a multi step "feeling" protocol to see whether the device is POE capable, so that nothing will be grilled by unrequested 48V.

    If you are sure what is connected on which port, you can forget about the "feeling" and take cheaper injectors/splitters without it.

    If you have only modest cable length and moderate power requirements you can use lower feed voltage, say 24-30V.

    Many chinese devices do this, but they will no more conform to standard.

     

    Here is a nice cheap 48 to 5V splitter which seems ok for opipc, i will order and test one of these.

     

    https://www.aliexpress.com/item/5V-2A-POE-splitter-gigabit-802-3af-at-active-POE-splitter-for-5V-2A-IP-camera/32741502485.html

     

    best, gnasch

  3. Maybe you could look at raspberry pi, they have lots of activities around schools.

    They are also very well documented for less technical users.

    VGA video is too harsh, try to contact companies in your region, they change computers periodically and maybe they can donate you a more recent DVI or even HDMI Monitor, and maybe a USB mouse and keyboard. A HDMI to DVI cable is quite cheap.

    I commend your commitment!

    Best luck,

    gnasch.

  4. sry if this is a stupid question: in which format should <pin> be given to your script?

    I only get these:

    cg@poisson:/usr/local/bin$ GpioCalc.py pg6
    Traceback (most recent call last):
      File "/usr/local/bin/GpioCalc.py", line 22, in <module>
        print("%d" % convert(args[0]))
      File "/usr/local/bin/GpioCalc.py", line 11, in convert
        idx = string.uppercase.index(alp)
    AttributeError: 'module' object has no attribute 'uppercase'
    
    cg@poisson:/usr/local/bin$ GpioCalc.py g6
    Traceback (most recent call last):
      File "/usr/local/bin/GpioCalc.py", line 22, in <module>
        print("%d" % convert(args[0]))
      File "/usr/local/bin/GpioCalc.py", line 11, in convert
        idx = string.uppercase.index(alp)
    AttributeError: 'module' object has no attribute 'uppercase'
    
    cg@poisson:/usr/local/bin$ GpioCalc.py g 6
    Traceback (most recent call last):
      File "/usr/local/bin/GpioCalc.py", line 22, in <module>
        print("%d" % convert(args[0]))
      File "/usr/local/bin/GpioCalc.py", line 10, in convert
        alp = value[1]
    IndexError: string index out of range
    
    cg@poisson:/usr/local/bin$ GpioCalc.py 38
    Traceback (most recent call last):
      File "/usr/local/bin/GpioCalc.py", line 22, in <module>
        print("%d" % convert(args[0]))
      File "/usr/local/bin/GpioCalc.py", line 11, in convert
        idx = string.uppercase.index(alp)
    AttributeError: 'module' object has no attribute 'uppercase'
    
    cg@poisson:/usr/local/bin$ 
    
    
  5. @chaoswk: I can confim the exakt same peak of activity arount 7 in the morning. Even the cpu temperature rises.

    Certainly updates or something.

    In this context I consider your watchdog practice very unsafe: If the computer is busy, your script will lag a little,

    and --pouf-- bye,bye.

    Please try to install and configure watchdog package, or leave this out for some time.

    best, gnasch

  6. so I have read this whole thread and also the one at the orangepi forums - Never been so confused...

     

    Is it correct that if I want to connect an OV5640 Camera to an Orangepi PC without soldering and massacrating cables,

    then I have to get this Extension set from Xunlong with the low-res camera;

    https://www.aliexpress.com/item/Orange-Pi-Open-source-IP-Camera-with-wide-angle-lens-Smart-Home-Control-Device-for-PC/32652476606.html

     

    remove the 2MP camera, then get a reversing 24 pin flat cable like this:
    https://www.aliexpress.com/item/6pcs-24-PIN-200MM-Length-0-5mm-Pitch-FFC-TTL-Ribbon-Flat-Cable-Reverse-Direction-For/32619251538.html
     

    and hook this into

    Cam500B from FriendlyArm https://www.aliexpress.com/item/CAM500B-High-Definition-Camera-5M-Pixel-2592x1944-image-sizes-support-AFC-AWB-AEC-etc-720P-30fps/32766487392.html

     

    Ok so far? Then it is almost like Lego.

    Thanks, gnasch
     

  7. If it reboots after "echo" , then watchdog is present and active in kernel.

     

    i have 4 watchdog processes, one per processor.

    root@orangepipcplus:/etc/init.d# ps aux |grep watch
    root         7  0.0  0.0      0     0 ?        S    Nov17   0:01 [watchdog/0]
    root        11  0.0  0.0      0     0 ?        S    Nov17   0:01 [watchdog/1]
    root        15  0.0  0.0      0     0 ?        S    Nov17   0:01 [watchdog/2]
    root        19  0.0  0.0      0     0 ?        S    Nov17   0:01 [watchdog/3]
    root     19080  0.0  0.0   3924   760 pts/1    S+   14:45   0:00 grep watch
    root@orangepipcplus:/etc/init.d# 
    
    

    my /etc/watchdog.conf is this:

    #ping			= 172.31.14.1
    #ping			= 172.26.1.255
    #interface		= eth0
    #file			= /var/log/messages
    #change			= 1407
    
    # Uncomment to enable test. Setting one of these values to '0' disables it.
    # These values will hopefully never reboot your machine during normal use
    # (if your machine is really hung, the loadavg will go much higher than 25)
    #max-load-1		= 24
    #max-load-5		= 18
    #max-load-15		= 12
    
    # Note that this is the number of pages!
    # To get the real size, check how large the pagesize is on your machine.
    #min-memory		= 1
    #allocatable-memory	= 1
    
    #repair-binary		= /usr/sbin/repair
    #repair-timeout		= 
    #test-binary		= 
    #test-timeout		= 
    
    watchdog-device	= /dev/watchdog
    
    # Defaults compiled into the binary
    temperature-device	=/sys/class/thermal/thermal_zone0/temp
    max-temperature	= 120
    
    # Defaults compiled into the binary
    #admin			= root
    interval		= 1
    logtick                = 60
    log-dir		= /var/log/watchdog
    
    # This greatly decreases the chance that watchdog won't be scheduled before
    # your machine is really loaded
    realtime		= yes
    priority		= 1
    
    # Check if rsyslogd is still running by enabling the following line
    #pidfile		= /var/run/rsyslogd.pid   
    
    
    

    and in /etc/init.d/watchdog it looks like that:

    Spoiler

     

    
    #!/bin/sh
    #/etc/init.d/watchdog: start watchdog daemon.
    
    ### BEGIN INIT INFO
    # Provides:          watchdog
    # Short-Description: Start software watchdog daemon
    # Required-Start:    $all
    # Required-Stop:     $all
    # Should-Start:      
    # Should-Stop:       
    # Default-Start:     2 3 4 5
    # Default-Stop:      0 1 6
    ### END INIT INFO
    
    PATH=/bin:/usr/bin:/sbin:/usr/sbin
    
    test -x /usr/sbin/watchdog || exit 0
    
    # For configuration of the init script use the file
    # /etc/default/watchdog, do not edit this init script.
    
    # Set run_watchdog to 1 to start watchdog or 0 to disable it.
    run_watchdog=0
    
    # Specify additional watchdog options here (see manpage).
    watchdog_options=""
    
    # Specify module to load
    watchdog_module="none"
    
    # Set run_wd_keepalive to 1 to start wd_keepalive after stopping watchdog or 0
    # to disable it. Running it is the default.
    run_wd_keepalive=1
    
    [ -e /etc/default/watchdog ] && . /etc/default/watchdog
    
    NAME=watchdog
    KEEPALIVE_NAME=wd_keepalive
    
    DAEMON=/usr/sbin/watchdog
    KEEPALIVE_DAEMON=/usr/sbin/wd_keepalive
    
    STOP_RETRY_SCHEDULE='TERM/10/forever/KILL/1'
    
    # Get lsb functions
    . /lib/lsb/init-functions
    
    case "$1" in
      start)
        if [ $run_watchdog = 1 ]
        then
        	# do we have to load a module?
    	[ "${watchdog_module:-none}" != "none" ] && /sbin/modprobe $watchdog_module
    	# make sure that wd_keepalive is stopped
    	log_begin_msg "Stopping watchdog keepalive daemon..."
            start-stop-daemon --stop --quiet --oknodo --retry $STOP_RETRY_SCHEDULE \
                --pidfile /var/run/$KEEPALIVE_NAME.pid
            log_end_msg $?
    
    	# also remove the sendsigs omit file
    	rm -f /run/sendsigs.omit.d/$KEEPALIVE_NAME.pid
    
    	# Unconditionally start watchdog daemon because we want to run it even
    	# if wd_keepalive wasn't running
    	log_begin_msg "Starting watchdog daemon..."
    	start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
                 --exec $DAEMON -- $watchdog_options
    	log_end_msg $?
        fi
        ;;
    
      stop)
        if [ $run_watchdog = 1 ]
        then
    	log_begin_msg "Stopping watchdog daemon..."
    	start-stop-daemon --stop --quiet --retry $STOP_RETRY_SCHEDULE \
    	    --pidfile /var/run/$NAME.pid
    	log_end_msg $?
    	if [ $run_wd_keepalive = 1 ]
    	then
    	    # make sure that wd_keepalive is started if instructed to do so
    	    log_begin_msg "Starting watchdog keepalive daemon..."
    	    start-stop-daemon --start --quiet --pidfile /var/run/$KEEPALIVE_NAME.pid \
    		--exec $KEEPALIVE_DAEMON -- $watchdog_options
    	    log_end_msg $?
    
    	    # and tell sendsigs to ignore it
    	    ln -s /var/run/$KEEPALIVE_NAME.pid /run/sendsigs.omit.d/$KEEPALIVE_NAME.pid
    	fi
        fi
        ;;
    
      restart)
        $0 force-reload
        ;;
    
      force-reload)
        if [ $run_watchdog = 0 ]; then exit 0; fi
        log_daemon_msg "Restarting $NAME"
        log_progress_msg "Stopping $NAME daemon..."
        start-stop-daemon --stop --pidfile /var/run/$NAME.pid --quiet \
    	--retry $STOP_RETRY_SCHEDULE || log_end_msg $?
        log_progress_msg "Starting $NAME daemon..."
        start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
    	--exec $DAEMON -- $watchdog_options
        log_end_msg $?
        ;;
    
      status)
        status_of_proc "$DAEMON" watchdog
        ;;
    
      *)
        echo "Usage: /etc/init.d/watchdog {start|stop|restart|force-reload|status}"
        exit 1
    
    esac
    
    exit 0
    
    

    Hope this helps

  8. Armbian will expand its filesystem to the size of the sdcard on first boot.

    So you may want to look into gparted for editing partitions, or you could setup armbian on a 8GB card,

    then dd it to a 16GB card after firstboot and use the now unused space.

    Also FTP is a crutch, old and not secure, you can transfer files securely over ssh, via scp or sshfs

    depending on your needs.

     

    best, gnasch

×
×
  • Create New...

Important Information

Terms of Use - Privacy Policy - Guidelines